This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 668306 - Brightness adjusting stucks when holding fn-key
Brightness adjusting stucks when holding fn-key
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-09 18:18 EST by Alexey Torkhov
Modified: 2012-08-16 16:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:03:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch that fixes the problem (1.01 KB, patch)
2011-01-09 18:18 EST, Alexey Torkhov
no flags Details | Diff
gnome-power-manager log (20.84 KB, text/plain)
2011-01-10 07:19 EST, Alexey Torkhov
no flags Details

  None (edit)
Description Alexey Torkhov 2011-01-09 18:18:42 EST
Created attachment 472477 [details]
patch that fixes the problem

Description of problem:
I have an Asus UL30JT laptop, currently running with intel graphics.
When holding brightness fn-key, it adjusts level for two or three times and then stops and continues to adjust level once a minute or so even after button is released, perhaps until it process all button press events in queue. I've find in source a code to ignore duplicate button press with timeout. After disabling this code with an attached patch it is working fine.
I think, timeout should be set to either keyboard repeat rate or least possible repeat rate.

Version-Release number of selected component (if applicable):
gnome-power-manager-2.32.0-3.fc14.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Press and hold brightness adjust fn-key
  
Actual results:
Adjusting stucks after 2-3 step and continues with very slow speed.

Expected results:
Brightness continuously increases/decreases.

Additional info:
Comment 1 Richard Hughes 2011-01-10 04:11:21 EST
This seems to work as desired for me. For most people, the keyboard repeat rate is way too quick for the brightness adjustment. If you make the repeat delay smaller, does this also fix the issue for you?
Comment 2 Alexey Torkhov 2011-01-10 07:19:53 EST
Created attachment 472572 [details]
gnome-power-manager log

(In reply to comment #1)
> This seems to work as desired for me. For most people, the keyboard repeat rate
> is way too quick for the brightness adjustment.

Well, if it would have worked as desired then it should adjust brightness once in 0.125 seconds, right? But it instead adjusts once in 30 seconds, which is too slow for me :)

Relevant entries from log (full is in attachment):

TI:13:33:21 TH:0x255c0b0    FI:gpm-button.c FN:gpm_button_emit_type,81
 - emitting button-pressed : brightness-down
TI:13:33:21 TH:0x255c0b0    FI:gpm-backlight.c  FN:gpm_backlight_button_pressed_cb,473
 - emitting brightness-changed : 90
TI:13:33:21 TH:0x255c0b0    FI:gpm-button.c FN:gpm_button_emit_type,81
 - emitting button-pressed : brightness-down
TI:13:33:21 TH:0x255c0b0    FI:gpm-backlight.c  FN:gpm_backlight_button_pressed_cb,473
 - emitting brightness-changed : 80
TI:13:33:21 TH:0x255c0b0    FI:gpm-button.c FN:gpm_button_emit_type,77
 - ignoring duplicate button brightness-down
TI:13:33:51 TH:0x255c0b0    FI:gpm-button.c FN:gpm_button_emit_type,81
 - emitting button-pressed : brightness-down
TI:13:33:51 TH:0x255c0b0    FI:gpm-backlight.c  FN:gpm_backlight_button_pressed_cb,473
 - emitting brightness-changed : 70

I holded brightness-down button at 13:33:21, it makes two adjustments at that time and next one only at 13:33:51.

> If you make the repeat delay
> smaller, does this also fix the issue for you?

Hm, nope, I was wrong. The behaviour does not depend on keyboard repeat rate or delay.

And even if GPM_BUTTON_DUPLICATE_TIMEOUT set to 0.001f it sometimes gets stuck.
Comment 3 Richard Hughes 2011-11-15 07:50:31 EST
Does this still happen in F15 or F16? Thanks.
Comment 4 Fedora End Of Life 2012-08-16 16:03:50 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.